/*************************************************************************/
/*
 * GeekOS master source distribution and/or project solution
 * Copyright (c) 2001,2003,2004 David H. Hovemeyer <daveho@cs.umd.edu>
 * Copyright (c) 2003 Jeffrey K. Hollingsworth <hollings@cs.umd.edu>
 *
 * This file is not distributed under the standard GeekOS license.
 * Publication or redistribution of this file without permission of
 * the author(s) is prohibited.
 */
/*************************************************************************/
/*
 * Boot information structure, passed to kernel Main() routine
 * Copyright (c) 2001, David H. Hovemeyer <daveho@cs.umd.edu>
 * $Revision: 1.6 $
 * 
 * This is free software.  You are permitted to use,
 * redistribute, and modify it as specified in the file "COPYING".
 */

#ifndef GEEKOS_BOOTINFO_H
#define GEEKOS_BOOTINFO_H

struct Boot_Info {
    int bootInfoSize;	 /* size of this struct; for versioning */
    int memSizeKB;	 /* number of KB, as reported by int 15h */
};

#endif  /* GEEKOS_BOOTINFO_H */
