/*************************************************************************/
/*
 * GeekOS master source distribution and/or project solution
 * Copyright (c) 2001,2003,2004 David H. Hovemeyer <daveho@cs.umd.edu>
 * Copyright (c) 2003 Jeffrey K. Hollingsworth <hollings@cs.umd.edu>
 *
 * This file is not distributed under the standard GeekOS license.
 * Publication or redistribution of this file without permission of
 * the author(s) is prohibited.
 */
/*************************************************************************/
/*
 * Initialize kernel GDT.
 * Copyright (c) 2001, David H. Hovemeyer <daveho@cs.umd.edu>
 * $Revision: 1.7 $
 * 
 * This is free software.  You are permitted to use,
 * redistribute, and modify it as specified in the file "COPYING".
 */

#ifndef GEEKOS_GDT_H
#define GEEKOS_GDT_H

struct Segment_Descriptor;

void Init_GDT(void);
struct Segment_Descriptor* Allocate_Segment_Descriptor(void);
void Free_Segment_Descriptor(struct Segment_Descriptor* desc);
int Get_Descriptor_Index(struct Segment_Descriptor* desc);

#endif  /* GEEKOS_GDT_H */
